# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-
%def_with M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

Name: apr
Version: 0.9.7
Release: %_release
Epoch: 1

Summary: Apache Portable Runtime
Group: System/Libraries
License: Apache
Url: http://apr.apache.org/
Packager: Sviatoslav Sviridov <svd@altlinux.ru>

# Do not define this variable to build release
#%%define cvsbuild 20031118

%ifdef cvsbuild

%define apr_cvsbuild 20031118111933
%define apr_filever _%apr_cvsbuild
%define apr_dir apr
%define cvsbuild_desc This package built from CVS snapshot %cvsbuild

%else

%define apr_filever -%version
%define apr_dir apr-%version
%define cvsbuild_desc %nil

%endif #cvsbuild

Source: apr%apr_filever.tar.bz2
Patch: apr-0.9.5-alt-linkage.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

%package -n lib%name
Summary: Apache Portable Runtime shared library
Group: System/Libraries
Provides: %name = %version-%release
Obsoletes: %name, lib%name-subversion

%package -n lib%name-devel
Summary: Apache Portable Runtime development files
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel, lib%name-subversion-devel

%package -n lib%name-devel-static
Summary: Apache Portable Runtime static library
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static, lib%name-subversion-devel-static

%description
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc

%description -n lib%name
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APR shared library.

%description -n lib%name-devel
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APR development files.

%description -n lib%name-devel-static
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unices,
MS Win32, BeOS and OS/2.
%cvsbuild_desc
This package contains APR static library.

%prep
%setup -q -n %apr_dir
%patch -p1

%build
LIBTOOL_M4=%_datadir/libtool/aclocal/libtool.m4 ./buildconf
%configure --with-installbuilddir=%_datadir/apr/build \
	--includedir=%_includedir/apr \
	--enable-threads --with-devrandom \
	 %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install
find %buildroot%_bindir -type f -print0 |
	xargs -r0 %__grep -FZl "$RPM_BUILD_DIR/%apr_dir" -- |
	xargs -r0 %__subst "s,$RPM_BUILD_DIR/%apr_dir,%_datadir/apr," --
find %buildroot%_datadir -type f -print0 |
	xargs -r0 %__grep -FZl "$RPM_BUILD_DIR/%apr_dir" -- |
	xargs -r0 %__subst "s,$RPM_BUILD_DIR/%apr_dir\(/build\)\?,%_datadir/apr/build," --

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib*.so*

%files -n lib%name-devel
%_bindir/*-config
%_libdir/lib*.so
%_libdir/*.exp
%_datadir/apr
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib*.a
%endif

%changelog
* Mon Oct 17 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.7-alt0.M24.1
- Updated to 0.9.7
- Backport to Master 2.4

* Mon May 30 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.6-alt1
- Updated to 0.9.6

* Mon Aug 16 2004 Dmitry V. Levin <ldv@altlinux.org> 1:0.9.5-alt0.4
- Updated to version from apache 2.0.50 tarball.
- Fixed library linkage.
- Renamed source package.
- Package libaprutil separately.
- Do not build static library by default.

* Thu Feb 12 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.3
- used workaround for build with libexpat without .la files
- updated BuildRequires
- rebuild with libdb4.2

* Sun Nov 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.2
- removed *.la files

* Wed Nov 19 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.5-alt0.1
- new version: 0.9.5 (from apache 2.0.48 tarball)

* Fri Aug 22 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.4-alt1
- new version: 0.9.4 (from apache 2.0.47 tarball)

* Tue Apr 15 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.3-alt1
- new version: 0.9.3

* Tue Mar 25 2003 Sviatoslav Sviridov <svd@altlinux.ru> 1:0.9.2-alt0.1
- first build for ALT Linux
